import {Component} from '@angular/core';
import {AuthenticationService} from "@app/_services";
import {Subscription} from "rxjs";

import { html } from '@environments/htmlenv';


@Component({
  selector: 'footer',
  templateUrl: html.footer||'footer.component.html',
  styleUrls: ['footer.component.scss']
})
export class FooterComponent {
  subscription: Subscription;
  public user: any;
  constructor(public authenticationService: AuthenticationService) {
    this.subscription = this.authenticationService.user.subscribe(user => {
      this.user = user;
    });
  }

  ngOnInit() {
  }

  login() {
    this.authenticationService.popup('login');
  }

}
